Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358141 - Removal of the "x-" prefix for dynamic cpu throttling
Summary: Removal of the "x-" prefix for dynamic cpu throttling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Amit Shah
QA Contact: Qianqian Zhu
URL:
Whiteboard:
Depends On: 1289285 1289288 1289290 1289291
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 07:29 UTC by zhe peng
Modified: 2016-11-07 21:24 UTC (History)
14 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-19.el7
Doc Type: Enhancement
Doc Text:
Clone Of: 1289288
Environment:
Last Closed: 2016-11-07 21:24:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Comment 2 Ademar Reis 2016-07-20 11:22:38 UTC
Looks like this is the upstream command to be backported:


"""
commit d85a31d1f4d45462b7ca333190b5d14fad982f3e
Author: Jason J. Herne <jjherne@linux.vnet.ibm.com>
Date:   Thu Apr 21 14:07:18 2016 -0400

    migration: Promote improved autoconverge commands out of experimental state
    
    The new autoconverge throttling commands have been tested for a release now. It
    is time to move them out of the experimental state.
    
    Signed-off-by: Jason J. Herne <jjherne@linux.vnet.ibm.com>
    Message-Id: <1461262038-8197-1-git-send-email-jjherne@linux.vnet.ibm.com>
    Signed-off-by: Amit Shah <amit.shah@redhat.com>
"""


Reassign to Amit.

Comment 3 Miroslav Rezanina 2016-08-05 10:57:14 UTC
Fix included in qemu-kvm-rhev-2.6.0-19.el7

Comment 5 Qianqian Zhu 2016-08-09 07:57:11 UTC
Verified with:
qemu-kvm-rhev-2.6.0-19.el7.x86_64
kernel-3.10.0-478.el7.x86_64

Steps:
1. Launch guest:
 /usr/libexec/qemu-kvm -name linux -cpu Opteron_G5 -m 2048 -realtime mlock=off -smp 2,sockets=2,cores=1,threads=1  -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x6 -drive file=/nfsmnt/RHEL-Server-7.3-64-virtio-scsi.raw,if=none,id=scsi0,format=raw  -device virtio-scsi-pci,id=scsi0 -device scsi-disk,drive=scsi0,scsi-id=0,lun=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x8 -spice port=5901,disable-ticketing -vga qxl -global qxl-vga.revision=3 -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=3C:D9:2B:09:AB:44,bus=pci.0,addr=0x4 -monitor stdio

2. Check migrate_set_parameter command

Result:
(qemu) migrate_set_parameter cp
cpu-throttle-increment  cpu-throttle-initial

Comment 6 Qianqian Zhu 2016-08-26 08:10:00 UTC
Supplementation:
qmp case:
{"execute":"query-migrate-parameters"}                
{"return": {"cpu-throttle-initial": 20, "decompress-threads": 2, "compress-threads": 8, "compress-level": 1, "cpu-throttle-increment": 10}}
{ "execute": "migrate-set-parameters" , "arguments":{"cpu-throttle-initial":30}}
{"return": {}}
{ "execute": "migrate-set-parameters" , "arguments":{"cpu-throttle-increment": 15}}
{"return": {}}

Comment 8 errata-xmlrpc 2016-11-07 21:24:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.